<template>
    <!-- <div class="column is-2"> -->
        <!-- <Menu /> -->
    <div>
        <Menu />

        <!-- <div class="buttons has-addons">
            <span v-on:click="map._mapboxMap.zoomIn()" class="button is-rounded is-small">
                <icon-base name='ZOOM_IN' size="18" />
            </span>
            <span v-on:click="map._mapboxMap.zoomOut()" class="button is-small">
                <icon-base name='ZOOM_OUT' size="18" />
            </span>
            <span v-on:click="map.zoomReset()" class="button is-rounded is-small">
                <icon-base name='GLOBE' size="18" />
            </span>
        </div> -->
        <!-- <Bar /> -->
        <!-- <Screenshots /> -->
    <!-- </div> -->
    </div>
</template>

<script lang='ts'>
    import { Component, Vue } from 'vue-property-decorator';
    import { State } from 'vuex-class';
    import Bar from './Bar.vue';
    import IconBase from './IconBase.vue';
    import Menu from './Menu.vue';
    import Screenshots from './Screenshots.vue';

    import { Mapview } from '@/ts/mapview';

    @Component({
        components: {
            Bar,
            IconBase,
            Menu,
            Screenshots,
        },
    })
    export default class UI extends Vue {
        @State('map') private map!: Mapview;
    }
</script>

<style scoped>
    .buttons {
        position: fixed;
        bottom: 1.5rem;
        right: 1rem;
    }
</style>
